On this page
No Headings
Deprecation notice: TheVoids, or cancels, an order, by ID. You can only void orders that are either in the/v1/paymentsendpoint is deprecated. Use the/v2/paymentsendpoint instead. For details, see PayPal Checkout Basic Integration.
PENDING or AUTHORIZED states or those in the CAPTURED state that are not fully captured.Oauth 2.0 authentication
In: header
Scope: https://api.paypal.com/v1/payments/.*
The ID of the order to authorize.
The server stores keys for 30 days.
length <= 78application/json
application/json
curl -X POST "https://api-m.sandbox.paypal.com/v1/payments/orders/string/do-void"{
"id": "string",
"amount": {
"currency": "string",
"total": "string",
"details": {
"subtotal": "string",
"shipping": "string",
"tax": "string",
"handling_fee": "string",
"shipping_discount": "string",
"insurance": "string",
"gift_wrap": "string"
}
},
"payment_mode": "INSTANT_TRANSFER",
"state": "PENDING",
"reason_code": "PAYER_SHIPPING_UNCONFIRMED",
"pending_reason": "payer_shipping_unconfirmed",
"protection_eligibility": "ELIGIBLE",
"protection_eligibility_type": "ITEM_NOT_RECEIVED_ELIGIBLE",
"parent_payment": "string",
"fmf_details": {
"filter_type": "ACCEPT",
"filter_id": "AVS_NO_MATCH",
"name": "string",
"description": "string"
},
"create_time": "2019-08-24T14:15:22Z",
"update_time": "2019-08-24T14:15:22Z",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"information_link": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}